%% 2D Graphik-Programmierung

x = 0.0:4*pi/200:4*pi; %erlaeutere implizite for-Schleifen + konstante "pi"
y1 = sin(x);
y2 = cos(x);
y3 = cos(2*x);
% --------------------------------
% einfaches plotten einer Funktion
plot(x,y1);       % plotten in standard farbe (blau)
plot(x,y1,'r');   % plotten mit Kurve in rot
plot(x,y1,'-.g'); % plotten strich-punktiert in gruen

% --------------------------------
% Hinzufuegen von Beschriftungen
title('Dies ist ja wohl ein Sinus');
xlabel('Winkel im Bogenmass');
ylabel('Funktionswert');
grid on;
% --------------------------------
% mehrfaches plotten einer Funktion in einem Diagramm
%
% Version: gleicher Diagrammtyp
plot(x,y1,'-',  x,y2,'-.mo',x,y3,'*'); 
%
% Version: verschiedener Diagrammtyp
plot(x,y1,'-'); 
hold on;
bar(x+1,y1,'g');    %Diagrammtyp Balkendiagramm
plot(x+4,y1,'-r'); 
hold off;
% --------------------------------
%  plotten einer Funktion mit subplots
subplot(2,1,1);
   plot(x,y1,'-.g');
   title('Dies ist ja wohl Sinus');
   xlabel('Winkel im Bogenmass');
   ylabel('Funktionswert');
   
subplot(2,1,2) ;
   plot(x,y2,'b','LineWidth',2);  %erst ohne LineWidth, dann mit 
   title('Dies ist dann ja wohl der Kosinus');
   xlabel('Winkel im Bogenmass');
   ylabel('Funktionswert');
% Dann aendere subplot(2,1,...) in subplot(1,2,...) bei beiden Kurven

subplot(1,1,1); %standardtyp ... kein Unterdiagramme
plot(y1);       % plotten in standard farbe (blau)



